#
# spec file for package openqa-mon
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           openqa-mon
Version:        1.1.0
Release:        1.3
Summary:        CLI monitoring utility for openQA
License:        GPL-3.0-or-later
URL:            https://github.com/grisu48/openqa-mon/
Source:         openqa-mon-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.14
BuildRequires:  golang-packaging
%{go_nostrip}

%description
openqa-mon is a CLI monitoring client for openqa written in plain go.

%prep
%autosetup -D -a 1

%build
make all GOARGS="-mod vendor -buildmode pie"

%install
# Manual install (for now)
install -Dm 755 openqa-mon %{buildroot}/%{_bindir}/openqa-mon
install -Dm 755 openqa-mq %{buildroot}/%{_bindir}/openqa-mq
install -Dm 755 openqa-revtui %{buildroot}/%{_bindir}/openqa-revtui
install -Dm 644 doc/openqa-mon.8 %{buildroot}/%{_mandir}/man8/openqa-mon.8

%files
%doc README.md
%{_bindir}/openqa-mon
%{_bindir}/openqa-mq
%{_bindir}/openqa-revtui
%{_mandir}/man8/openqa-mon.8%{?ext_man}

%changelog
* Fri Jul 28 2023 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 1.1.0
  * [openqa-mon] Add reconnect handler for RabbitMQ (#115)
  * [openqa-revtui[ Add ability to open all visible URLs in browser (https://github.com//pull/113) by @asmorodskyi
  * [openqa-revtui] Refresh cloned jobs (#123)
  * [openqa-revtui] Don't open more than 10 links unless explicitly stated (#123)
  * Bump dependency versions
* Thu Mar 30 2023 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 1.0.1
  * Upgrade to gopenqa 0.7.1 and align version number
* Thu Mar 30 2023 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 1.0.0
  * Switch to single request for multiple jobs (openqa-mon and openqa-revtui)
  * Improve review templates
  * Consider the parallel_failed status (openqa-revtui)
  * Add progress when loading jobs (openqa-revtui)
  * Introduce colors in status field (openqa-revtui)
  * Rate limit continuous refresh on OSD and O3
  * Show job progress in Refresh line (openqa-revtui)
* Sat Mar 18 2023 Jeff Kowalczyk <jkowalczyk@suse.com>
- _service obs_scm revision change branch to main from master which
  no longer exists.
* Thu Mar 16 2023 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 0.27
  * Fix incomplete jobs not considered with --exit
  * Refactoring of the revtui screen
  * Introduce the --input parameter in openqa-mon
  * Many small bugfixes
* Fri Jan 13 2023 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 0.26
  - Many revtui improvements
  - Add experimental support for RabbitMQ in openqa-mon
  - openqa-mq supports connecting to arbitrary servers
  - Many small bugfixes
* Fri Dec  3 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to upstream version 0.25
  - New interaction options for openqa-mon
  - openqa-revtui received the "reviewed" keyword
* Fri Aug 13 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Add useragent
* Fri Jun 18 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Update go build version requirements
* Fri Jun  4 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Fix incomplete display when job has more than 10 clones
* Wed May 12 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Add --version to programs
- Ignore skipped and cancelled jobs from notifications
* Thu Apr 29 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- openqa-revtui: Follow jobs
- openqa-revtui: Mark failed jobs with bug refs as reviewed
* Fri Apr 16 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Tidy
* Fri Apr 16 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Add 0.20
* Fri Apr 16 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Hotfix: Continuous program argument
* Fri Apr 16 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 0.2
* Tue Mar  9 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Remove unncessary go version
* Mon Mar  8 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Include openqa-mq and openqa-revtui
* Mon Mar  8 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 0.13
* Mon Mar  8 2021 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to v0.12a
* Fri Feb 26 2021 Pavel Dostál <pdostal@suse.com>
- Add _service for the git and go forkflow
- Package version v0.12a
* Thu Dec 10 2020 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 0.12
- Ignore url fragments
- Refactoring of the internal job ID process
* Wed Nov 11 2020 Felix Niederwanger <felix.niederwanger@suse.com>
- Update to version 0.11
* Fri Jul 17 2020 Martin Pluskal <mpluskal@suse.com>
- Initial changelog entry for version 0.1
